package hpc

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/hpc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func QueueAssetsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := hpc.NewQueueAssetsLogic(r.Context(), svcCtx)
		resp, err := l.QueueAssets()
		result.HttpResult(r, w, resp, err)
	}
}
